Create Custom Session Configuration

You can use this endpoint to create your own custom made identity verification session configuration.

POST https://api.yotisign.com/v2/idv/sessions/configs

Headers Explained

The following elements are needed:

Header

Description

Authorization (header)

API Key to call the Yoti Sign API. This should be sent as a bearer token.

Content-Type (header)

application/json


Request Payload

An example of the request body can be found below:

{
"name": "My Custom Session config",
"is_private": false,
"session_config":
{
"client_session_token_ttl": 1200,
"resources_ttl": 2630000,
"user_tracking_id": "string",
"block_biometric_consent": false,
"requested_checks":
[
{
"type": "ID_DOCUMENT_AUTHENTICITY",
"config":
{
"manual_check": "FALLBACK"
}
},
{
"type": "LIVENESS",
"config":
{
"liveness_type": "ZOOM",
"max_retries": 3

Value

Description

name

This is the name of your custom configuration, and will need to be used when specifying which configuration to use.

is_private

Whether to keep this session config as only accessible from this API key, or whether to allow other users of your organisation to use it

session_config

An identity verification payload, to be used to customise the identity verification session.